#include <algorithm>
#include <cstdlib>
#include <cstring>
#include <deque>
#include <fstream>
#include <iostream>
#include <sstream>
#include <vector>

#define IMPOSSIBLE -1
#define FAIL -2

using namespace std;

const int maxn = 1000;

int k;
string n;

int err_code;
string err_msg;

int check(ifstream& f)
{
    string a;
    f >> a;

    if (!f) {
        err_msg = "looks like output is empty";
        err_code = 2;
        return FAIL;
    }

    if (a == "IMPOSSIBLE") {
        return IMPOSSIBLE;
    }

    bool z = true;
    for (int i = 0; i < a.length() && z; i++) z = a[i] == '0';
    if (z) {
        err_msg = "output is 0";
        err_code = 2;
        return FAIL;
    }

    int j = 0;
    int p = 0;
    for (int i = 0; i < a.length(); i++) {
        if (a[i] < '0' || a[i] > '9') {
            ostringstream ss;
            ss << "illegal character " << a[i] << "(#" << int(a[i]) << ")";
            err_msg = ss.str();
            err_code = 2;
            return FAIL;
        }

        while (p < n.length() && n[p] != a[i])
            p++;
        if (p == n.length()) {
            ostringstream ss;
            ss << "output is not a substring, last index = " << i;
            err_msg = ss.str();
            err_code = 2;
            return FAIL;
        }

        j = ((j * 10) + (a[i] - '0')) % k;
    }

    if (j) {
        ostringstream ss;
        ss << "reminder is not 0 but " << j;
        err_msg = ss.str();
        err_code = 1;
        return FAIL;
    }

    return a.length();
}

int main(int argc, char* argv[])
{
    ifstream fin(argv[1]);
    ifstream fout(argv[2]);
    ifstream fans(argv[3]);

    fin >> k >> n;

    int jury_ans = check(fans);
    if (jury_ans == FAIL) {
        cout << "jury error: " << err_msg << endl;
        return 3;
    }

    int cont_ans = check(fout);
    if (cont_ans == FAIL) {
        cout << "contestant error: " << err_msg << endl;
        return err_code;
    }

    if (cont_ans > jury_ans) {
        cout << "contestant is better: " << cont_ans << " vs. " << jury_ans << endl;
        return 3;
    }

    if (cont_ans < jury_ans) {
        cout << "jury is better: " << cont_ans << " vs. " << jury_ans << endl;
        return 1;
    }

    cout << "ok ";
    if (jury_ans == IMPOSSIBLE) cout << "IMPOSSIBLE"; else cout << jury_ans;
    cout << endl;
    return 0;
}
